Subject: Re: initdb failure - postgres hangs with 100% CPU
From: Jason Tishler <[email-masked]>
To: Steve Jorgensen <[email-masked]>
Cc: [email-masked];, [email-masked]
Date: Wed, 11 Jul 2001 11:01:24 -0400

Steve,

In the future, please keep your replies to the list(s).

On Tue, Jul 10, 2001 at 02:04:02PM -0700, Steve Jorgensen wrote:
> [Steve Jorgensen]  Yes, that's what I meant.  After much searching, I had 
> found your untested tarball previously.  I tested it somewhat, by the way, 
> and it functions with the native Windows version of pgAccess, though I 
> haven't worked it very hard.

I thought that they would work.  Thanks for testing them.

> I would like to learn to fish, though rather 
> than just have the fish so I can make my own libpq.dll for any new version 
> of PostgreSQL when the source is released.

I this case fishing is easy but expensive.  If you install MSVS 6.0,
then all you need to do is:

    $ nmake -f win32.mak

> I tried just configuring with a 
> target of i586-pc-win32, then running make in the libpq directory - I had 
> no errors, but only got pq.dll, not libpq.dll.  I don't even know what 
> pq.dll is.

You just did the configure for building under Cygwin.  pq.dll is the
Cygwin version of libpq.dll.

> By "using Cygwin/gcc" do you mean Cygwin's gcc -mno-cygwin or Mingw
> mode?  If so, then it should be possible but I don't know of anyone who
> has done it yet.
> 
> [Steve Jorgensen]  Yes, that's what I meant.  Thanks for your reply.

I presume that you saw the recent activity regarding the above.  Why don't
you give Christof's patches a shot?

Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: 732.264.8770 x235
Dot Hill Systems Corp.               Fax:   732.264.8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/